/*
 * Streamtastic Streamripper Frontend
 * Copyright 2008 Andreas Kühntopf <andreas@kuehntopf.org>
 * 
 * This file is part of Streamtastic.
 *
 * Streamtastic is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Streamtastic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Streamtastic.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.kuehntopf.streamtastic.core;

/**
 * Compositum which consists of a Message and
 * a payload (an Object). This is mainly used for giving both
 * the type of a message and a user-defined object to observers.
 * @author akuehntopf
 */
public class CompoundMessage 
{
    private Message     _message;
    private Object      _payload;
    
    /**
     * Constructs a new CompoundMessage
     * @param m Message
     * @param payload Object to pass
     */
    public 
    CompoundMessage(Message m, Object payload)
    {
        _message = m;
        _payload = payload;
    }

    /**
     * Returns the message
     * @return the message this object represents
     */
    public Message 
    getMessage()
    {
        return _message;
    }
    
    /**
     * Returns the payload
     * @return the payload
     */
    public Object 
    getObject()
    {
        return _payload;
    }    
}
