/*
 * Streamtastic Streamripper Frontend
 * Copyright 2008 Andreas Kühntopf <andreas@kuehntopf.org>
 * 
 * This file is part of Streamtastic.
 *
 * Streamtastic is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Streamtastic is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Streamtastic.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.kuehntopf.streamtastic.gui.components;

import java.awt.Color;
import java.awt.Component;
import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

/**
 * ListCellRenderer for use in Sidebar Menu.
 * Renders JLabels
 * @author akuehntopf
 */
public class SidebarMenuCellRenderer implements ListCellRenderer 
{
    /**
     * Returns the CellRendererComponent for a specific Object
     */
    public Component 
    getListCellRendererComponent(JList list, Object value,
                        int index, boolean isSelected, boolean cellHasFocus) 
    {
        if (value instanceof JLabel) 
        {
            JLabel label = (JLabel) value;
            
            // Set label looks
            label.setOpaque(true);
            label.setHorizontalAlignment(JLabel.LEADING);
            label.setBorder(BorderFactory.createEmptyBorder(0, 10, 0, 10));

            // Set background and foreground
            // depending on the selection state
            if (isSelected) {
                label.setBackground(list.getSelectionBackground());
                label.setForeground(list.getSelectionForeground());
            } else {
                label.setBackground(Color.white);
                label.setForeground(Color.black);
            }

            return label;
        }
        return null;
    }
}
